ConPresso Community

Fragen, Antworten, Diskussionen rund um das Content Management System ConPresso

 
Update 4.1 -> 4.3
Gehe zu Seite 1, 2  Weiter
 
Neue Antwort erstellen    ConPresso Community Foren-Übersicht -> Modul Newsletter (ConPresso 4)
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 495
Wohnort: Berlin

BeitragVerfasst am: 14.09.2010 20:53    Titel: Update 4.1 -> 4.3 Antworten mit Zitat

Hallo Markus,
kann ich das Update einfach über eine laufende Installation drüberbügeln oder muss ich 4.1 vorher deinstallieren?

Grüße von
Horst
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 6988

BeitragVerfasst am: 14.09.2010 21:20    Titel: Antworten mit Zitat

Ein Drüberbügeln reicht leider nicht.
Es werden beim Setup zwei weitere Tabellen angelegt.
Ich galube sogar, daß es neue Einstellungen gibt, die ansonsten fehlen.

Man sollte eine Installation auf einem identischen Testsystem machen, um zu prüfen, welche Einstellungen nachzupflegen sind und, die neuen Tabellen übernehmen zu können und erst mal einen Testlauf zu starten.

Alternativ die bisherigen Einstellungen notieren und nach einer Neuinstallation entsprechend wieder eintragen.

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 495
Wohnort: Berlin

BeitragVerfasst am: 15.09.2010 20:37    Titel: installation v. 4.3 auf CPO 4.1.2 Antworten mit Zitat

Hallo Markus,

beim Ausprobieren auf einer CPO 4.1.2-Installation erhalte ich beim Aufruf der Rechtevergabe in der Modulverwaltung folgende Fehlermeldung:

Zitat:
Warning: main(/www/.../_includesite/i_user.php) [function.main]: failed to open stream: No such file or directory in /www/.../mod_newsletter/includes/inc_rights.inc.php on line 43

Fatal error: main() [function.require]: Failed opening required '/www/.../_includesite/i_user.php' (include_path='.:/usr/share/php') in /www/.../mod_newsletter/includes/inc_rights.inc.php on line 43


Die Datei i_user.php gibts in der 4.1.2 nicht...

<grins>Irgendwann musste es ja mal passieren, dass einer das mit einer CPO 4.1.x ausprobiert </grins>Laughing
Hast du dazu eine Idee?

Grüße von
Horst[/quote]
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 6988

BeitragVerfasst am: 15.09.2010 21:30    Titel: Antworten mit Zitat

Nein, da fällt mir gar nichts mehr zu ein.

Immer mehr Gründe (derzeit) keine Projekte mit 4.1.x zu beginnen, wenn man mehr als nur den Standard haben will.

Auch bei 4.0.x habe ich das erste Projekt mit 4.0.4 begonnen, weil vorher einfach zuviel unausgegoren war.

Kopiere doch einfach mal die i_user von 4.0.x in den _includesite-Ordner von 4.1.x und schau was dann passiert...

edit: habe es selbst probiert. Die Newsletter-Rechte funzen dann wieder, leider die Rubrik-Rechte nicht, da auch dies umgestaltet wurde...

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Mr. Magpie
ConPresso-Experte


Anmeldungsdatum: 01.01.1970
Beiträge: 994
Wohnort: Wuppertal

BeitragVerfasst am: 15.09.2010 22:09    Titel: Antworten mit Zitat

MarkusR hat Folgendes geschrieben:
Immer mehr Gründe (derzeit) keine Projekte mit 4.1.x zu beginnen, wenn man mehr als nur den Standard haben will.

Auch bei 4.0.x habe ich das erste Projekt mit 4.0.4 begonnen, weil vorher einfach zuviel unausgegoren war.

Full Ack! Neutral

_________________
Günther Ludwig, amazingBytes webdesign      

Referenzen finden Sie hier: amazingBytes webdesign - Referenzen
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 6988

BeitragVerfasst am: 15.09.2010 22:44    Titel: Antworten mit Zitat

Das hat man nun davon, wenn man Original-Funktionen und -Programmteile benutzt, um möglichst hohe Kompatiblilität zu erreichen, dann aber die Versionen selbst untereinander höchst inkompatibel sind Twisted Evil

Anyway. ich habe jetzt eine Datei angepasst und die 4.0.x-Dateien mit ins Modul gepackt.

Die beiliegenden Datei müssen alle ins includes-Verzeichnis des Moduls.
Das ist dann ein pre-4.3b-Version...

Zitat:
Kopiere doch einfach mal die i_user von 4.0.x in den _includesite-Ordner von 4.1.x und schau was dann passiert...

Das kannst Du vergessen...





includes_4.3b.zip - 4.79 KB
371 mal


_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7

 
Für dieses Posting bedanken sich die folgenden User: hscha
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 495
Wohnort: Berlin

BeitragVerfasst am: 16.09.2010 17:48    Titel: Antworten mit Zitat

O ja, nun funktioniert auch die Rechtevergabe...

Danke! Very Happy

Horst
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 495
Wohnort: Berlin

BeitragVerfasst am: 25.09.2010 18:27    Titel: Antworten mit Zitat

Hallo Markus,

ich schlage mich jetzt seit Stunden mit folgendem Problem herum:
1) Wenn ich die Newsletter-Rubrik nicht mod_newsletter nenne sondern z.B. nur 'newsletter', dann werden die Artikel bei Klick auf den Backend-Link mod_newsletter nicht gefunden. Statt dessen erscheint die folgende Meldung (und das Newsletter-Modul-Copyright zweimal) - siehe Screenshot...

Benenne ich die Rubrik wieder zurück, dann sehe ich die Newsletter-Artikel wieder.
2) Wenn ich über den Backend-Link "Newsletter bearbeiten" einen Text im Newsletter bearbeite, dann spinnt FCKeditor von mod_editor und speichert mir eine kryptische Zeichenfolge ab. Tue ich das über den normalen Artikel-Bearbeiten-Link, dann kann ich den Text normal mit mod_editor abspeichern.

Ich habe jetzt verschiedenes versucht und habe die Pfade in fckeditor.js nochmal überprüft, weil das unter 2) eigentlich nur passiert, wenn ein Pfad fehlerhaft ist...

Hast du eine Idee dazu Question
(mod_editor: Version 4; CPO: Version 4.1.2; mod_newsletter: Version 4.3b)

Grüße von
Horst




Fehlermeldung beim Klick auf den Backend-Link "Newsletter (mod_newsletter)
nl01.jpg
Klicken für Originalbild! nl01.jpg (19.33KB) - 354 mal angeklickt


Da ist mal wieder das Problem mit mod_editor...
nl02.jpg
Klicken für Originalbild! nl02.jpg (9.41KB) - 332 mal angeklickt


Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 6988

BeitragVerfasst am: 25.09.2010 18:57    Titel: Antworten mit Zitat

zu 1) Ein Umbenennen der Rubrik ist nicht vorgesehen.
Vor der Installation kann ja ein beliebiger Name für das Verzeichnis gewählt werden, der dann als Grundlage für alle weiteren Einstellungen benutzt wird.
Nur so kann ich die Mehrfachinstallation realisieren.

zu 2) mod_editor ist nicht kompatibel zu ConPresso 4.1.x
der Newsletter ist auch nicht dafür freigegeben.
Nur durch manuelle Anpassung kann dies realsiiert werden.

Leider wird bei der ConPresso-Entwicklung immer in Code-Monstern mit direkter Ausgabe programmiert, so daß man keine Codeteile benutzen kann.
Daher ist der Newsletter eine Kopie der gesamten Artikelverwaltung von ConPresso (aber eben aus 4.0.x). Somit sind 4.0.x und 4.1.x in einem System gemischt und mod_editor hat es noch schwerer...

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 6988

BeitragVerfasst am: 25.09.2010 19:51    Titel: Antworten mit Zitat

Ich habe eine handcodierte Version mit CPO 4.1.2, mod_editor 4.0a und mod_newsletter 4.3b bei der alles funktioniert.

Ich könnte entsprechende Änderungen bei Dir einbauen und testen, eine offizielle Version oder Anleitungen gibt es noch nicht, da ich erst die Kompatibilät der beiden ConPresso-Generationen durchtesten muß... aber dafür habe ich im Augenblick keine Zeit...

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 495
Wohnort: Berlin

BeitragVerfasst am: 25.09.2010 20:23    Titel: Antworten mit Zitat

Hallo Markus,

Zitat:
zu 2) mod_editor ist nicht kompatibel zu ConPresso 4.1.x
der Newsletter ist auch nicht dafür freigegeben.
Nur durch manuelle Anpassung kann dies realsiiert werden.


Ich habe mod_editor entsprechend der Installationsanleitung für CPO 4.0.x eingebaut und es funktionierte bislang ohne Probleme.

Erst bei mod_newsletter zeigen sich Probleme mit dem externen Editor...
Mal sehen, ob ich b.a.W. so arbeiten kann, wie ich es oben angedeutet habe...

Vielen Dank für deinen unentwegten Ratschlag (machst du nie Feierabend???)

Grüße aus dem
verregneten Berlin von
Horst
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 6988

BeitragVerfasst am: 25.09.2010 23:22    Titel: Antworten mit Zitat

Hast Du denn mod_editor auch im Newsletter korrekt eingebaut?
Da hattes Du ja schon mal Probleme
http://community.conpresso.de/viewtopic.php?p=20894#20894

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 495
Wohnort: Berlin

BeitragVerfasst am: 26.09.2010 20:26    Titel: Antworten mit Zitat

Hallo Markus,
Zitat:
Hast Du denn mod_editor auch im Newsletter korrekt eingebaut?

Ich fürchte, das habe ich nicht gemacht...
Das kann das Problem sein!

Danke von
Horst
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
hscha
ConPresso-Checker


Anmeldungsdatum: 22.02.2006
Beiträge: 495
Wohnort: Berlin

BeitragVerfasst am: 26.09.2010 20:36    Titel: Antworten mit Zitat

Ja, das war das Problem!
Nun scheint es zu laufen!!! Laughing

Das einzige, was jetzt noch nicht funktioniert, ist die "Generalprobe" beim Mailversand: Hier kriege ich nur eine nichtssagende Fehlermeldung:
Zitat:
Sorry, an error occured while processing this request.


Grüße von
Horst
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
MarkusR
Handbuchversteher


Anmeldungsdatum: 01.01.1970
Beiträge: 6988

BeitragVerfasst am: 26.09.2010 21:56    Titel: Antworten mit Zitat

Erst das hier lesen, danach handeln und dann nochmal melden:

http://community.conpresso.de/viewtopic.php?p=26010#26010

_________________
Ciao Markus
ConPresso-Module
ConPresso und PHP 7
Nach oben
Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen
Beiträge der letzten Zeit anzeigen:   
Neue Antwort erstellen    ConPresso Community Foren-Übersicht -> Modul Newsletter (ConPresso 4) Alle Zeiten sind GMT + 1 Stunde
Gehe zu Seite 1, 2  Weiter
Seite 1 von 2

 
Gehe zu:  
Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.
Du kannst Dateien in diesem Forum nicht posten
Du kannst Dateien in diesem Forum herunterladen